<?php
/* Do some sanitary checks and then save data */ 

if ($_POST['item']) {
  $prevItem = "";
  $prevInput = "";
  $prevComment = "";
  if (!(preg_match("/[^a-zA-Z0-9\_\.]/i", $_POST['item']))) {
	//The item's name may not contain anything else than a-z and underscore
	$prevItem = $_POST['item'];
  }
  $prevInput = preg_replace('/[^a-zA-Z]/','',$_POST['input']);
  $prevComment = preg_replace('/[^a-zA-Z0-9\,\;\-\ \.]/','',$_POST['comment']);
  if (empty($prevInput)) {
	$prevInput =  "-";
  }
  if (empty($prevComment)) {
	$prevComment =  "-";
  }
  $time = strftime("%Y-%b-%d\t%H:%M:%S");

  $results = $_SESSION['results'];
  $results[$prevItem] = $prevItem . "\t" . $prevInput . "\t" . $prevComment . "\t" . $time;
  $_SESSION['results'] = $results;

  $thissession = session_id();
  /* Results are first written to a temp file, and then transfered to the final file in "Results" only if the participant does not give up */
  $resultsFile = fopen("Temp/$thissession", 'a');
  fwrite($resultsFile, $prevItem . "\t" . $prevInput . "\t" . $prevComment . "\t" . $time . "\n");
  fclose($resultsFile);
 }
?>